glClearDepth
Prev | GL | Next

## Name

glClearDepth — specify the clear value for the depth buffer

## C Specification

`void `glClearDepth`` | `(` | `GLclampd `depth`);`

## Python Specification

``glClearDepth`` | `(` | ``depth`) → `None``

## Parameters

`depth`
  Specifies the depth value used when the depth buffer is cleared. The initial value is 1.

## Description

`glClearDepth` specifies the depth value used by `glClear` to clear the depth buffer. Values specified by `glClearDepth` are clamped to the range 0 1 .

## Errors

`GL_INVALID_OPERATION` is generated if `glClearDepth` is executed between the execution of `glBegin` and the corresponding execution of `glEnd`.

## Associated Gets

`glGet` with argument `GL_DEPTH_CLEAR_VALUE`

## See Also

`glClear`

Prev | Up | Next
glClearColor | Home | glClearIndex